Scriptname _HolidayNotice extends ObjectReference  
{renn's Tweak / 161115}
;====================================================================================

Message[] ShowMessage

Message Property _WetHolidayNotice_MorningStar Auto
Message Property _WetHolidayNotice_SunsDawn Auto
Message Property _WetHolidayNotice_SunsDawn_Windhelm Auto
Message Property _WetHolidayNotice_FirstSeed Auto
Message Property _WetHolidayNotice_RainsHand Auto
Message Property _WetHolidayNotice_SecondSeed Auto
Message Property _WetHolidayNotice_MidYear Auto
Message Property _WetHolidayNotice_SunsHeight Auto
Message Property _WetHolidayNotice_LastSeed Auto
Message Property _WetHolidayNotice_Heartfire Auto
Message Property _WetHolidayNotice_Frostfall Auto
Message Property _WetHolidayNotice_SunsDusk Auto
Message Property _WetHolidayNotice_EveningStar Auto
Message Property _WetHolidayNotice_CW Auto

String[] Month

Location Property WindhelmLocation Auto

_HolidayQuestScript Property _WetHolidayQuest Auto

;====================================================================================

Function SetMessages()
	ShowMessage = New Message[12]
	ShowMessage[0] = _WetHolidayNotice_MorningStar
	If _WetHolidayQuest.PlayerRef.GetCurrentLocation() == WindhelmLocation || _WetHolidayQuest.CWEnded
		ShowMessage[1] = _WetHolidayNotice_SunsDawn_Windhelm
	Else
		ShowMessage[1] = _WetHolidayNotice_SunsDawn
	EndIf
	ShowMessage[2] = _WetHolidayNotice_FirstSeed
	ShowMessage[3] = _WetHolidayNotice_RainsHand
	ShowMessage[4] = _WetHolidayNotice_SecondSeed
	ShowMessage[5] = _WetHolidayNotice_MidYear
	ShowMessage[6] = _WetHolidayNotice_SunsHeight
	ShowMessage[7] = _WetHolidayNotice_LastSeed
	ShowMessage[8] = _WetHolidayNotice_Heartfire
	ShowMessage[9] = _WetHolidayNotice_Frostfall
	ShowMessage[10] = _WetHolidayNotice_SunsDusk
	ShowMessage[11] = _WetHolidayNotice_EveningStar
EndFunction

Function SetMonthNames()
	Month = New String[12]
	Month[0] = Game.GetGameSettingString("sMonthJanuary")
	Month[1] = Game.GetGameSettingString("sMonthFebruary")
	Month[2] = Game.GetGameSettingString("sMonthMarch")
	Month[3] = Game.GetGameSettingString("sMonthApril")
	Month[4] = Game.GetGameSettingString("sMonthMay")
	Month[5] = Game.GetGameSettingString("sMonthJune")
	Month[6] = Game.GetGameSettingString("sMonthJuly")
	Month[7] = Game.GetGameSettingString("sMonthAugust")
	Month[8] = Game.GetGameSettingString("sMonthSeptember")
	Month[9] = Game.GetGameSettingString("sMonthOctober")
	Month[10] = Game.GetGameSettingString("sMonthNovember")
	Month[11] = Game.GetGameSettingString("sMonthDecember")
EndFunction

Event OnActivate(ObjectReference akActionRef)
	If akActionRef == _WetHolidayQuest.PlayerRef
		Menu()
	EndIf
EndEvent

Function Menu(Int iMessage = 0, Int iButton = 0,  Bool abMenu = True)
	SetMessages()
	SetMonthNames()
	While abMenu
		If iButton == -1
		ElseIf iMessage == 0
			If _WetHolidayQuest.CWStarted && !_WetHolidayQuest.CWEnded
				iButton = _WetHolidayNotice_CW.Show()
			Else
				iButton = ShowMessage[_WetHolidayQuest.CurrentMonth].Show()
			EndIf
			If iButton == 0
				If _WetHolidayQuest.AlduinDefeated
					Debug.Notification(_WetHolidayQuest.DayDragonbornText)
					Debug.Notification(Month[_WetHolidayQuest.AlduinDefeatMonth] + "month, " + _WetHolidayQuest.AlduinDefeatDay + _WetHolidayQuest.ofText)	;renn
					Utility.Wait(5.0)
				Else
					Debug.Notification(_WetHolidayQuest.NoDayDragonbornText)
					Utility.Wait(3.0)
				EndIf
				If _WetHolidayQuest.CWEnded
					If _WetHolidayQuest.IsStormcloak
						Debug.Notification(_WetHolidayQuest.LibSkyrimText)
					Else
						Debug.Notification(_WetHolidayQuest.ReunSkyrimText)
					EndIf
					Debug.Notification(Month[_WetHolidayQuest.CWEndMonth] + "month, " + _WetHolidayQuest.CWEndDay + _WetHolidayQuest.ofText)	;renn
					Utility.Wait(6.0)
				Else
					Debug.Notification(_WetHolidayQuest.NoLibReunSkyrimText)
					Utility.Wait(3.75)
				EndIf
				Debug.Notification(_WetHolidayQuest.BirthText)
				Debug.Notification(Month[_WetHolidayQuest.BirthMonth] + "month, " + _WetHolidayQuest.BirthDay + _WetHolidayQuest.ofText)	;renn
				If !_WetHolidayQuest.SkyInstalled
					Utility.Wait(6.0)
					Debug.Notification(_WetHolidayQuest.SKSESkyUIReminder)
				EndIf
			EndIf
			abMenu = False
			iMessage = 0
		EndIf
	EndWhile
EndFunction